/*
 * 手太欠
 * 企获客商城
 */

const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        logisticsPop: false, //物流弹出框状态
        orderData: '', //商品详情
        refundId: ''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            refundId: options.orderId
        })
        this.orderData(options.refundId)
    },

    /**
     * 订单详情
     */
    orderData(refundId) {
        wx.$api.companyModule.getRefundInfo(refundId).then(res => {
            console.log(res)
            this.setData({
                orderData: res
            })
        })
    },
    /**
     * 退款记录
     */
    refunds(e) {
        wx.navigateTo({
          url: '/pages/user/companyMine/refundInfo/refundInfo?refundId='+e.currentTarget.dataset.refundid,
        })
    },
    /**
     * 返回订单
     */
    orderRun() {
        wx.navigateBack({
            delta: 1,
        })
    },

})